using System.Linq.Expressions;

namespace DIC.Test.Data.Contracts
{
    public interface IRepoQuery<T, TId> where T : class
                                        where TId : struct
    {
        public T GetById(TId id);
        
        public IEnumerable<T> GetAll();

        public IEnumerable<T> FindAll(Expression<T> expression);
    }
}
